Public Member Functions | Public Attributes | List of all members
libfreehand::FHCharProperties Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHCharProperties ()

## Public Attributes
unsigned | m_textColorId
double | m_fontSize
unsigned | m_fontNameId
unsigned | m_fontId
unsigned | m_tEffectId
std::map< unsigned, double > | m_idToDoubleMap

## Constructor & Destructor Documentation

## ◆ FHCharProperties()

libfreehand::FHCharProperties::FHCharProperties | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_fontId

unsigned libfreehand::FHCharProperties::m_fontId

Referenced by libfreehand::FHCollector::_appendCharacterProperties().

## ◆ m_fontNameId

unsigned libfreehand::FHCharProperties::m_fontNameId

Referenced by libfreehand::FHCollector::_appendCharacterProperties().

## ◆ m_fontSize

double libfreehand::FHCharProperties::m_fontSize

Referenced by libfreehand::FHCollector::_appendCharacterProperties().

## ◆ m_idToDoubleMap

std::map<unsigned,double> libfreehand::FHCharProperties::m_idToDoubleMap

Referenced by libfreehand::FHCollector::_appendCharacterProperties().

## ◆ m_tEffectId

unsigned libfreehand::FHCharProperties::m_tEffectId

Referenced by libfreehand::FHCollector::_appendCharacterProperties().

## ◆ m_textColorId

unsigned libfreehand::FHCharProperties::m_textColorId

Referenced by libfreehand::FHCollector::_appendCharacterProperties().

The documentation for this struct was generated from the following file:

- FHTypes.h